<?php  global $themename, $input_prefix;

/*****************/
/* Theme Details */

$themename = "Azione";
$themeid = "azione";
$productid = "1520";
$presstrendsid = "nthgd5jhxuh4hyeomma1i1q00arng24xk";

/**********************/
/* Include OCMX files */
$include_folders = array("/ocmx/includes/", "/ocmx/theme-setup/", "/ocmx/widgets/", "/ocmx/front-end/", "/ajax/");

// Include the interface files if we're in wp-admin
if(is_admin() == true) :
	$include_folders[] = "/ocmx/interface/";
endif;
include_once (get_template_directory()."/ocmx/folder-class.php");
include_once (get_template_directory()."/ocmx/load-includes.php");
include_once (get_template_directory()."/ocmx/custom.php");
include_once (get_template_directory()."/ocmx/seo-post-custom.php");

/***********************/
/* Add OCMX Menu Items */

add_action('admin_menu', 'ocmx_add_admin');
function ocmx_add_admin() {
	global $wpdb;

	add_object_page("Theme Options", "Theme Options", 'manage_options', basename(__FILE__), '', '//obox-design.com/images/ocmx-favicon.png');
	add_submenu_page(basename(__FILE__), "General Options", "General", "manage_options", basename(__FILE__), 'ocmx_general_options');
	add_submenu_page(basename(__FILE__), "Customize", "Customize", "manage_options", "customize.php");
	add_submenu_page(basename(__FILE__), "Typography", "Typography", "manage_options", "ocmx-fonts", 'ocmx_font_options');
	add_submenu_page(basename(__FILE__), "Adverts", "Adverts", "manage_options",  "ocmx-adverts", 'ocmx_advert_options');
	add_submenu_page(basename(__FILE__), "SEO Options", "SEO Options", "manage_options", "ocmx-seo", 'ocmx_seo_options');
	add_submenu_page(basename(__FILE__), "Help", "Help", "manage_options", "obox-help", 'ocmx_welcome_page');

};

/*********************/
/* Load Localization */
load_theme_textdomain('ocmx', get_template_directory() . '/lang');

/*****************/
/* Add Nav Menus */

if (function_exists('register_nav_menus')) :
	register_nav_menus( array(
		'primary' => __('Primary Navigation', '$themename'),
		'secondary' => __('Footer Navigation', '$themename')
	) );
endif;

/**************************/
/* WP 3.4 Support         */
global $wp_version;
if ( version_compare( $wp_version, '3.4', '>=' ) ) {
	add_theme_support( 'custom-background' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
}
add_theme_support( 'post-thumbnails' );
update_option("ocmx_font_support", true);

if ( ! isset( $content_width ) ) $content_width = 940;

function ocmx_setup_image_sizes() {
	add_image_size('960x535', 980, 535, true);
	add_image_size('700x390', 700, 390, true);
	add_image_size('220x124', 220, 124, true);
	add_image_size('300x169', 300, 169, true);
	add_image_size('460x259', 460, 259, true);
	add_image_size('140x100', 140, 100, true);
	add_image_size('580x350', 580, 350, true);
	add_image_size('980', 980, 9999);
}

add_action( 'after_setup_theme', 'ocmx_setup_image_sizes' );

/******************************************************************************/
/* Each theme has their own "No Posts" styling, so it's kept in functions.php */

function ocmx_no_posts(){ ?>
	<h3 class="post-title"><a href="#"><?php _e("Page Not Found", "ocmx"); ?></a></h3>
		<p><?php _e("The page you are looking for does not exist", "ocmx"); ?></p>
<?php
}

/*********************/
/* Add Widgetized Pages */
function add_widgetized_pages(){
	global $wpdb;
	$get_widget_pages = $wpdb->get_results("SELECT * FROM ".$wpdb->postmeta." WHERE `meta_key` = '_wp_page_template' AND  `meta_value` = 'widget-page.php'");
	foreach($get_widget_pages as $pages) :
		$post = get_post($pages->post_id);
		register_sidebar(array("name" => $post->post_title." Full Width", "id" => $post->post_name."-full-width", "description" => "Place orange Home Page or full-width widgets here, such as the Slider or Four Column widget."));
		register_sidebar(array("name" => $post->post_title." 3 Column", "id" => $post->post_name."-3-col", "description" => "Place all standard WordPress widgets or single-column into this panel to display in 3 columns.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4><div class="content">', 'before_widget' => '<li id="%1$s" class="widget %2$s">', 'after_widget' => '</div></li>'));
	endforeach;
}
add_action("init", "add_widgetized_pages");

/**************************/
/* Facebook Support      */
function get_fbimage() {
	global $post;
	$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), '', '' );
	$fbimage = null;
	if ( has_post_thumbnail($post->ID) ) {
		$fbimage = $src[0];
	} else {
		global $post, $posts;
		$fbimage = '';
		$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i',
		$post->post_content, $matches);
		if(!empty($matches[1]))
			$fbimage = $matches [1] [0];
	}
	if(empty($fbimage)) {
		$fbimage = get_the_post_thumbnail($post->ID);
	}
	return $fbimage;
}