<?php //OCMX Custom logo and Favicon

function ocmx_logo_register($wp_customize){
	
	$wp_customize->add_section('ocmx_general', array(
		'title'    => __('General Theme Settings', 'ocmx'),
		'priority' => 30,
	));
	
	//Custom Colors
	
	$wp_customize->add_setting('ocmx_ignore_colours', array(
		'default'        => 'no',
		'capability'     => 'edit_theme_options',
		'type'           => 'option',
	));

	$wp_customize->add_control('header_color_scheme', array(
		'label'      => __('Use Theme Default Color Scheme', 'ocmx'),
		'section'    => 'ocmx_general',
		'settings'   => 'ocmx_ignore_colours',
		'type'       => 'radio',
		'priority' => 0,
		'choices'    => array(
			'yes' => 'Yes',
			'no' => 'No'
		),
	));
 
	$wp_customize->add_setting('ocmx_custom_logo', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'type'           => 'option',

	));

	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'ocmx_custom_logo', array(
		'label'    => __('Custom Logo', 'ocmx'),
		'section'  => 'ocmx_general',
		'settings' => 'ocmx_custom_logo',
	)));
	
	$wp_customize->add_setting('ocmx_custom_favicon', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'type'           => 'option',

	));

	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'ocmx_custom_favicon', array(
		'label'    => __('Custom Favicon', 'ocmx'),
		'section'  => 'ocmx_general',
		'settings' => 'ocmx_custom_favicon',
	)));
	
}

add_action('customize_register', 'ocmx_logo_register');

// OCMX Color Options 

function ocmx_customize_register($wp_customize) {


	// Header Color Scheme
	$wp_customize->add_section('header_color_scheme', array(
		'title' => __( 'Header Color Scheme', 'ocmx' ),
		'priority' => 35,
		)
	);
	$wp_customize->add_setting( 'ocmx_header_background', array(
		'default' => '#000',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_header_background', array(
		'label' => __( 'Logo Header Background', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_header_background',
		'priority' => 1
		)
	));
	$wp_customize->add_setting( 'ocmx_header_text', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_header_text', array(
		'label' => __( 'Header Text', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_header_text',
		'priority' => 2
		)
	));
	$wp_customize->add_setting( 'ocmx_navigation_background', array(
		'default' => '#fff',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_navigation_background', array(
		'label' => __( 'Navigation Background', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_navigation_background',
		'priority' => 3
	)));
	$wp_customize->add_setting( 'ocmx_navigation_font_color', array(
		'default' => '#000',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_navigation_font_color', array(
		'label' => __( 'Navigation Links', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_navigation_font_color',
		'priority' => 4
	)));
	$wp_customize->add_setting( 'ocmx_navigation_hover', array(
		'default' => '#F33',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_navigation_hover', array(
		'label' => __( 'Navigation Background Hover', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_navigation_hover',
		'priority' => 5
	)));
	$wp_customize->add_setting( 'ocmx_navigation_link_hover', array(
		'default' => '#FFF',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_navigation_link_hover', array(
		'label' => __( 'Navigation Link Hover', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_navigation_link_hover',
		'priority' => 5
	)));

	//Submenu 
	$wp_customize->add_setting( 'ocmx_sub_navigation_background', array(
		'default' => '#fff',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_sub_navigation_background', array(
		'label' => __( 'Sub Nav Background', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_sub_navigation_background',
		'priority' => 6
	)));

	$wp_customize->add_setting( 'ocmx_sub_navigation_link', array(
		'default' => '#000',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_sub_navigation_link', array(
		'label' => __( 'Sub Nav Link', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_sub_navigation_link',
		'priority' => 7
	)));

	$wp_customize->add_setting( 'ocmx_sub_navigation_link_hover_background', array(
		'default' => '#f33',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_sub_navigation_link_hover_background', array(
		'label' => __( 'Sub Nav Link Background Hover', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_sub_navigation_link_hover_background',
		'priority' => 8
	)));

	$wp_customize->add_setting( 'ocmx_sub_navigation_link_hover', array(
		'default' => '#fff',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_sub_navigation_link_hover', array(
		'label' => __( 'Sub Nav Link Hover', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_sub_navigation_link_hover',
		'priority' => 9
	)));

	$wp_customize->add_setting( 'ocmx_sub_navigation_border', array(
		'default' => '#cccccc',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_sub_navigation_border', array(
		'label' => __( 'Sub Nav Border', 'ocmx' ),
		'section' => 'header_color_scheme',
		'settings' => 'ocmx_sub_navigation_border',
		'priority' => 10
	)));
	
	
	// Content Color Scheme
	$wp_customize->add_section('content_color_scheme', array(
		'title' => __( 'Content Color Scheme', 'ocmx' ),
		'priority' => 36
		)
	);
	$wp_customize->add_setting( 'ocmx_content_background', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_content_background', array(
		'label' => __( 'Content Background', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_content_background',
		'priority' => 5
	)));
	$wp_customize->add_setting( 'ocmx_content_borders', array(
		'default' => '#ccc',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_content_borders', array(
		'label' => __( 'Content Borders', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_content_borders',
		'priority' => 5
	)));
	$wp_customize->add_setting( 'ocmx_alternative_background', array(
		'default' => '#F6F6F6',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_alternative_background', array(
		'label' => __( 'Alternative Container Background', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_alternative_background',
		'priority' => 6
	)));
	$wp_customize->add_setting( 'ocmx_general_font_color', array(
		'default' => '#595959',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_general_font_color', array(
		'label' => __( 'General Body Text', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_general_font_color',
		'priority' => 7
	)));
	$wp_customize->add_setting( 'ocmx_content_links', array(
		'default' => '#4C5554',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_content_links', array(
		'label' => __( 'Links', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_content_links',
		'priority' => 8
	)));
	$wp_customize->add_setting( 'ocmx_content_links_hover', array(
		'default' => '#000000',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_content_links_hover', array(
		'label' => __( 'Links Hover', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_content_links_hover',
		'priority' => 9
	)));
	$wp_customize->add_setting( 'ocmx_post_titles_font_color', array(
		'default' => '#3E3E3E',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_post_titles_font_color', array(
		'label' => __( 'Post Titles', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_post_titles_font_color',
		'priority' => 10
	)));
	$wp_customize->add_setting( 'ocmx_widget_titles_font_color', array(
		'default' => '#333333',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_widget_titles_font_color', array(
		'label' => __( 'Section Titles', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_widget_titles_font_color',
		'priority' => 11
	)));
	$wp_customize->add_setting( 'ocmx_page_title', array(
		'default' => '#333333',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_page_title', array(
		'label' => __( 'Page Titles', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_page_title',
		'priority' => 12
	)));
	$wp_customize->add_setting( 'ocmx_content_widget_background', array(
		'default' => '#F0F0F0',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_content_widget_background', array(
		'label' => __( 'Content Widget Background ', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_content_widget_background',
		'priority' => 13
	)));
	$wp_customize->add_setting( 'ocmx_content_widget_hover', array(
		'default' => '#F33',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_content_widget_hover', array(
		'label' => __( 'Content Widget Background Hover ', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_content_widget_hover',
		'priority' => 14
	)));
	$wp_customize->add_setting( 'ocmx_buttons', array(
		'default' => '#F33',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_buttons', array(
		'label' => __( 'Buttons', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_buttons',
		'priority' => 15
	)));
	
	$wp_customize->add_setting( 'ocmx_buttons_text', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_buttons_text', array(
		'label' => __( 'Buttons Text', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_buttons_text',
		'priority' => 16
	)));
	$wp_customize->add_setting( 'ocmx_buttons_hover', array(
		'default' => '#47defe',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_buttons_hover', array(
		'label' => __( 'Buttons Hover Background', 'ocmx' ),
		'section' => 'content_color_scheme',
		'settings' => 'ocmx_buttons_hover',
		'priority' => 17
	)));
	
	
	// Footer Color Scheme
	$wp_customize->add_section('footer_color_scheme', array(
		'title' => __( 'Footer Color Scheme', 'ocmx' ),
		'priority' => 37,
		)
	);
	$wp_customize->add_setting( 'ocmx_widget_footer_titles_font_color', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_widget_footer_titles_font_color', array(
		'label' => __( 'Footer Widget Titles', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_widget_footer_titles_font_color',
		'priority' => 19
	)));
	$wp_customize->add_setting( 'ocmx_footer_background', array(
		'default' => '#FFFFFF',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_background', array(
		'label' => __( 'Footer Background', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_background',
		'priority' => 20
	)));
	$wp_customize->add_setting( 'ocmx_footer_links', array(
		'default' => '#595959',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_links', array(
		'label' => __( 'Footer Links', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_links',
		'priority' => 21
	)));
	$wp_customize->add_setting( 'ocmx_footer_links_hover', array(
		'default' => '#43C2F1',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_links_hover', array(
		'label' => __( 'Footer Links Hover', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_links_hover',
		'priority' => 22
	)));
	$wp_customize->add_setting( 'ocmx_footer_text', array(
		'default' => '#595959',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_footer_text', array(
		'label' => __( 'Footer Text', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_footer_text',
		'priority' => 23
	)));
	$wp_customize->add_setting( 'ocmx_copyright_text', array(
		'default' => '#595959',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_copyright_text', array(
		'label' => __( 'Footer Copyright Text', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_copyright_text',
		'priority' => 24
	)));
	$wp_customize->add_setting( 'ocmx_copyright_background', array(
		'default' => '#111518',
		'type' => 'option',
		'capability' => 'edit_theme_options',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ocmx_copyright_background', array(
		'label' => __( 'Footer Copyright Background', 'ocmx' ),
		'section' => 'footer_color_scheme',
		'settings' => 'ocmx_copyright_background',
		'priority' => 25
	)));
	
	wp_reset_query();

//ADD JQUERY

if ( $wp_customize->is_preview() && ! is_admin() )
	add_action( 'wp_footer', 'ocmx_customize_preview', 21);
	
	function ocmx_customize_preview() {
	?>
	<script type="text/javascript">

	( function( $ ){
		wp.customize('ocmx_header_background',function( value ) {
			value.bind(function(to) {
				jQuery('#header-container, #footer-text-container').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_header_text',function( value ) {
			value.bind(function(to) {
				jQuery('.logo .tagline, .logo h1, .logo h1 a').css({'color': to});
			});
		});
		
		wp.customize('ocmx_navigation_background',function( value ) {
			value.bind(function(to) {
				jQuery('#navigation-container, #footer-navigation-container, ul#nav ul.sub-menu').css({'backgroundColor': to});
			});
		});

		wp.customize('ocmx_navigation_font_color',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav li a, ul#nav li a:hover, ul#nav-footer li a, ul#nav-footer li a, ul#nav ul.sub-menu a, ul#nav ul.sub-menu li a').css({'color': to});
			});
		});

		wp.customize('ocmx_navigation_hover',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav li a:hover, ul#nav-footer li a:hover, ul#nav li a:active, ul#nav ul.sub-menu li a:hover').css({'background': to});
			});
		});
		wp.customize('ocmx_navigation_link_hover',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav li a:hover, ul#nav-footer li a:hover, ul#nav ul.sub-menu li a:hover').css({'color': to});
			});
		});
		

		//Sub Menu

		wp.customize('ocmx_sub_navigation_background',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav ul.sub-menu').css({'background': to});
			});
		});

		wp.customize('ocmx_sub_navigation_link',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav ul.sub-menu a, ul#nav ul.sub-menu li a').css({'color': to});
			});
		});

		wp.customize('ocmx_sub_navigation_link_hover_background',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav ul.sub-menu a:hover, ul#nav ul.sub-menu li a:hover').css({'background': to});
			});
		});

		wp.customize('ocmx_sub_navigation_link_hover',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav ul.sub-menu a:hover, ul#nav ul.sub-menu li a:hover').css({'color': to});
			});
		});

		wp.customize('ocmx_sub_navigation_border',function( value ) {
			value.bind(function(to) {
				jQuery('ul#nav ul.sub-menu').css({'borderColor': to});
			});
		});


		wp.customize('ocmx_general_font_color',function( value ) {
			value.bind(function(to) {
				jQuery('.product-price .amount, form .form-row input.input-text, #content .form-row input.input-text, form .form-row textarea, #content .form-row textarea, body, .country_select select').css({'color': to});
			});
		});
		
		wp.customize('ocmx_content_links',function( value ) {
			value.bind(function(to) {
				jQuery('a, a:link, a:visited, .post-meta li.meta-block:first-child a.action-link, .details a, .meta, .meta a, .byline, .post-content a, .tab-event a, .post-content .copy a').css({'color': to});
			});
		});
		
		wp.customize('ocmx_content_links_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.slider .post-title a:hover, .post-title a:hover, a:hover, .post-meta li.meta-block:first-child a.action-link:hover .latest-news .post-title a:hover, .post-title a:hover, .details a:hover, .meta a:hover, .post-content a:hover, .tab-event a:hover, .post-content .copy a:hover .slider .post-title:hover').css({'color': to});
			});
		});
		
		wp.customize('ocmx_content_background',function( value ) {
			value.bind(function(to) {
				jQuery('.slider, .video-list, .post-image, #content-container, #widget-block').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_alternative_background',function( value ) {
			value.bind(function(to) {
				jQuery('.latest-videos .pagination, #right-column, .slider, #widget-block').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_content_widget_background',function( value ) {
			value.bind(function(to) {
				jQuery(' .video-list .three-column li, .video-list .four-column li').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_content_widget_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.video-list .three-column li:hover, .video-list .four-column li:hover').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_content_borders',function( value ) {
			value.bind(function(to) {
				jQuery('ul.archives_list li, .video-list .three-column li, ul#nav li, ul.archives_list li .comment, .comments, .latest-videos .pagination, #content-container, #header-container, #navigation-container, .slider, #footer-container, #footer-navigation-container, #widget-block, .widgettitle, .slider .post-title').css({'borderColor': to});
			});
		});
		

		wp.customize('ocmx_buttons',function( value ) {
			value.bind(function(to) {
				jQuery('.button, .buttons, .slider .next, .slider .previous, .video-list a.action-link, .related-videos, .submit_button, #comment_submit').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_buttons_hover',function( value ) {
			value.bind(function(to) {
				jQuery('.button:hover, .buttons:hover, .slider .next:hover, .slider .previous:hover, .video-list a.action-link:hover, .related-videos:hover, .submit_button:hover, #comment_submit:hover').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_buttons_text',function( value ) {
			value.bind(function(to) {
				jQuery('.button, .buttons, .slider .next, .slider .previous, .video-list a.action-link, .related-videos, .submit_button, #comment_submit').css({'color': to});
			});
		});
		
		wp.customize('ocmx_accent_color',function( value ) {
			value.bind(function(to) {
				jQuery('.related-videos, .dater.alt, .video-slider, .gallery-thumbnails ul, .wp-caption, #order_review .payment_methods .payment_box').css({'backgroundColor': to});
			});
		});		
		
		wp.customize('ocmx_widget_titles_font_color',function( value ) {
			value.bind(function(to) {
				jQuery('#comments h2, h3.widgettitle, .contact-details .details h4, #footer h4, .comments .section-title, h4, .comment-form-content label, h5, .about-me .post-title').css({'color': to});
			});
		});
		
		wp.customize('ocmx_post_titles_font_color',function( value ) {
			value.bind(function(to) {
				jQuery('.products .overlay, table.shop_table th, table.cart th, .cart_totals table th, h2.post-title, .latest-gallery .masonry .overlay, .latest-news .post-title a, .post-title, .post-title a, .h3.post-title').css({'color': to});
			});
		});
		
		wp.customize('ocmx_page_title',function( value ) {
			value.bind(function(to) {
				jQuery('.page-title').css({'color': to});
			});
		});
		
		wp.customize('ocmx_footer_background',function( value ) {
			value.bind(function(to) {
				jQuery('.coupon #coupon_code, #footer-container, #footer, input[type="text"], input[type="password"], textarea, .copy pre').css({'backgroundColor': to});
			});
		});
		
		wp.customize('ocmx_footer_links',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container a, #footer a, .popular_posts a, ul#twitter_update_list li span a, ul#twitter_update_list li a, .obox-credit a').css({'color': to});
			});
		});
		
		wp.customize('ocmx_footer_links_hover',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container a:hover, #footer a:hover, .popular_posts a:hover, ul#twitter_update_list li span a:hover, ul#twitter_update_list li a:hover, .obox-credit a:hover').css({'color': to});
			});
		});
		
		wp.customize('ocmx_footer_text',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-container, #footer, #footer ul li.column ul li, #footer .byline').css({'color': to});
			});
		});
		
		wp.customize('ocmx_copyright_text',function( value ) {
			value.bind(function(to) {
				jQuery('.footer-text p').css({'color': to});
			});
		});
		wp.customize('ocmx_copyright_background',function( value ) {
			value.bind(function(to) {
				jQuery('#footer-text-container').css({'backgroundColor': to});
			});
		});
		
		
		wp.customize('ocmx_widget_footer_titles_font_color',function( value ) {
			value.bind(function(to) {
				jQuery('#footer h4, #footer h4 a').css({'color': to});
			});
		});
		
		
	} )( jQuery );
	</script>
<?php } 

//ADD POST MESSAGE

$wp_customize->get_setting('ocmx_header_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_header_text')->transport='postMessage';
$wp_customize->get_setting('ocmx_navigation_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_navigation_font_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_navigation_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_navigation_link_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_general_font_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_content_links')->transport='postMessage';
$wp_customize->get_setting('ocmx_content_links_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_navigation_submenu_border')->transport='postMessage';
$wp_customize->get_setting('ocmx_buttons_dates')->transport='postMessage';
$wp_customize->get_setting('ocmx_buttons_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_accent_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_buttons_dates_text')->transport='postMessage';
$wp_customize->get_setting('ocmx_widget_titles_font_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_post_titles_font_color')->transport='postMessage';
$wp_customize->get_setting('ocmx_page_title')->transport='postMessage';
$wp_customize->get_setting('ocmx_content_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_tabs_nav')->transport='postMessage';
$wp_customize->get_setting('ocmx_testimonial_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_testimonial_text')->transport='postMessage';
$wp_customize->get_setting('ocmx_post_title_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_background')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_links')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_links_hover')->transport='postMessage';
$wp_customize->get_setting('ocmx_footer_text')->transport='postMessage';
$wp_customize->get_setting('ocmx_copyright_text')->transport='postMessage';
$wp_customize->get_setting('ocmx_copyright_background')->transport='postMessage';
}
add_action( 'customize_register', 'ocmx_customize_register' );

function ocmx_add_query_vars($query_vars) {
	$query_vars[] = 'stylesheet';
	return $query_vars;
}
add_filter( 'query_vars', 'ocmx_add_query_vars' );
function ocmx_takeover_css() {
		$style = get_query_var('stylesheet');
		if($style == "custom") {
			include_once(TEMPLATEPATH . '/style.php');
			exit;
		}
	}
add_action( 'template_redirect', 'ocmx_takeover_css');