<?php
class ocmx_content_widget extends WP_Widget {
	/** constructor */
	function ocmx_content_widget() {
		parent::WP_Widget(false, $name = "(Obox) Content Widget", array("description" => "Home Page Widget - Display standard posts from a post category in a thumbnail column layout."));
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {
		extract( $args );

		if(isset($instance["title"]))
			$title = $instance["title"];
		if( isset( $instance["title_link"]))
			$title_link = $instance["title_link"];
		if(isset($instance["show_images"]))
			$show_images = $instance["show_images"];
		if(isset($instance["video_images"]))
			$video_images = $instance["video_images"];
		if(isset($instance["show_excerpts"]))
			$show_excerpts = esc_attr($instance["show_excerpts"]);
		if(isset($instance["show_meta"]))
			$show_meta = $instance["show_meta"];
		if(isset($instance["excerpt_length"]))
			$excerpt_length = esc_attr($instance["excerpt_length"]);
		if(isset($instance["layout_columns"]))
			$layout_columns = $instance["layout_columns"];
		if(isset($instance["post_count"]))
			$post_count = $instance["post_count"];
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
		if($post_thumb == "true"):
			$post_thumb = 1;
		else :
			$post_thumb = 0;
		endif;

		if($use_category != "0") :
			$args = array(
				"post_type" => 'post',
				"posts_per_page" => $post_count,
				"tax_query" => array(
					array(
						"taxonomy" => 'category',
						"field" => "slug",
						"terms" => $use_category
					)
				)
			);
			$use_cat = get_category_by_slug($use_category);
			$catlink = get_category_link($use_cat->term_id);
		else :
			$args = array(
				"post_type" => 'post',
				"posts_per_page" => $post_count
			);
		endif;

		//Set the post Aguments and Query accordingly
		$count = 0;
		$numposts = 0;
		$ocmx_posts = new WP_Query($args);

		while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
			$numposts++;
		endwhile; ?>

		<div class="video-list clearfix">
			<?php if(isset($title)) : ?>
				<h4 class="widgettitle">
					<a href="<?php if(isset ($title_link)) {echo $title_link;} ?>"><?php echo $title; ?></a>
				</h4>
			<?php endif; ?>


			<ul class="<?php echo $layout_columns; ?>-column clearfix">
				<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
					global $post;
					$link = get_permalink($post->ID);

					$vid_info = array();
					$vid_info = get_post_meta($post->ID, "oembed_info", true);

					if($layout_columns == 'four') :
						$width = 220;
						$height = 124;
						$resizer = '220x124';
					elseif($layout_columns == 'three') :
						$width = 300;
						$height = 169;
						$resizer = '300x169';
					elseif($layout_columns == 'two') :
						$width = 460;
						$height = 259;
						$resizer = '460x259';
					else :
						$width = 960;
						$height = 535;
						$resizer = '960x535';
					endif;
					$args  = array('postid' => $post->ID, 'width' => $width, 'height' => $height, 'hide_href' => false, 'exclude_video' => $post_thumb, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => $resizer);

					$image = get_obox_media($args); ?>
					<li>
						<?php if(isset($show_images) && $show_images == "on") : ?>
							<div class="post-image">
								<?php echo $image;?>
							</div>
						 <?php endif; ?>
						<h3 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
						<?php if(isset($show_meta) && $show_meta == "on" ) : ?>
							<span class="date post-date">
								<?php if( isset( $vid_info['views'] ) ) : ?>
									<span class="views"><?php echo $vid_info['views']; ?></span>
								<?php endif; ?>
								<?php if( isset( $vid_info['likes'] ) ) : ?>
										<span class="likes"><?php echo $vid_info['likes']; ?></span>
								<?php endif; ?>
							</span>
						<?php endif; ?>
					</li>
				<?php endwhile; ?>
			</ul>

	</div>
<?php
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {
		if(isset($instance["title"]))
			$title = esc_attr($instance["title"]);
		if( isset( $instance["title_link"]))
			$title_link = $instance["title_link"];
		if(isset($instance["post_count"]))
			$post_count = esc_attr($instance["post_count"]);
		if(isset($instance["show_images"]))
			$show_images = esc_attr($instance["show_images"]);
		if(isset($instance["video_images"]))
			$video_images = esc_attr($instance["video_images"]);
		if(isset($instance["show_meta"]))
			$show_meta = esc_attr($instance["show_meta"]);
		if(isset($instance["layout_columns"]))
			$layout_columns = esc_attr($instance["layout_columns"]);
		if(isset($instance["post_category"]))
			$post_category = esc_attr($instance["post_category"]);
		if(isset($instance["post_thumb"]))
			$post_thumb = esc_attr($instance["post_thumb"]);
?>
	<p>
		<label for="<?php echo $this->get_field_id('title'); ?>">Title<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if(isset($title)) : echo $title; endif; ?>" /></label>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('title_link'); ?>"><?php _e('Custom Title Link', 'ocmx'); ?><input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title_link'); ?>" type="text" value="<?php if(isset($title_link)){ echo $title_link; }?>" /></label>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('layout_columns'); ?>">Column Layout</label>
		<select size="1" class="widefat" id="<?php echo $this->get_field_id('layout_columns'); ?>" name="<?php echo $this->get_field_name('layout_columns'); ?>">
				<option <?php if(isset($layout_columns) && $layout_columns == "one") : ?>selected="selected"<?php endif; ?> value="one">1</option>
				<option <?php if(isset($layout_columns) && $layout_columns == "two") : ?>selected="selected"<?php endif; ?> value="two">2</option>
				<option <?php if(isset($layout_columns) && $layout_columns == "three") : ?>selected="selected"<?php endif; ?> value="three">3</option>
				<option <?php if(isset($layout_columns) && $layout_columns == "four") : ?>selected="selected"<?php endif; ?> value="four">4</option>
		</select>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id('post_category'); ?>">Category</label>
	   <select size="1" class="widefat" id="<?php echo $this->get_field_id("post_category"); ?>" name="<?php echo $this->get_field_name("post_category"); ?>">
			<option <?php if(isset($post_count) && $post_count == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
			<?php
					$category_args = array('hide_empty' => false);
					$option_loop = get_categories($category_args);
					foreach($option_loop as $option_label => $value)
						{
							// Set the $value and $label for the options
							$use_value =  $value->slug;
							$label =  $value->cat_name;
							//If this option == the value we set above, select it
							if($use_value == $post_category)
								{$selected = " selected='selected' ";}
							else
								{$selected = " ";}
			?>
							<option <?php echo $selected; ?> value="<?php echo $use_value; ?>"><?php echo $label; ?></option>
			<?php
						}
			?>
		</select>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id('post_count'); ?>">Post Count</label>
		<select size="1" class="widefat" id="<?php echo $this->get_field_id('comment_count'); ?>" name="<?php echo $this->get_field_name('post_count'); ?>">
			<?php $i = 1;
			while($i < 13) :?>
				<option <?php if(isset($post_count) && $post_count == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php if($i < 1) :
					$i++;
				else:
					$i=($i+1);
				endif;
			endwhile; ?>
		</select>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('show_images'); ?>">
			<input type="checkbox" <?php if(isset($show_images) && $show_images == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_images'); ?>" name="<?php echo $this->get_field_name('show_images'); ?>">
			Enable Images/Videos
		</label>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('post_thumb'); ?>">Show Images or Videos?</label>
		<select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
			<option <?php if(isset($post_thumb) && $post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Thumbnails</option>
			<option <?php if(isset($post_thumb) && $post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
		</select>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('show_meta'); ?>">
			<input type="checkbox" <?php if(isset($show_meta) && $show_meta == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_meta'); ?>" name="<?php echo $this->get_field_name('show_meta'); ?>">
			Show Video Meta (oEmbed Videos Only)
		</label>
	</p>

<?php
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_content_widget");'));

?>