<?php
class feature_posts_widget extends WP_Widget {
	/** constructor */
	function feature_posts_widget() {
		parent::WP_Widget(false, $name = "(Obox) Slider", array("description" => "Home Page Widget - Display posts and images from a specific category."));
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {
		extract( $args );
		global $post;
		$defaults = array( 'title' => '', 'hide_title' => '', 'display_limit' => '', 'auto_interval' => '0');
		$instance_args = wp_parse_args( $instance );
		extract( $instance_args, EXTR_SKIP );
		
		if(isset($instance["show_excerpts"]))
			$show_excerpts = $instance["show_excerpts"];
		if(isset($instance["show_meta"]))
			$show_meta = $instance["show_meta"];
		if(isset($instance["excerpt_length"]))
			$excerpt_length = $instance["excerpt_length"];
		if(isset($instance["posttype"]))
			$posttype = $instance["posttype"];
		if(isset($instance["postfilter"]))
			$postfilter = $instance["postfilter"];
		
		if(isset($instance["post_category"]))
			$use_category = $instance["post_category"];
		if(isset($instance["display_limit"]))
			$display_limit = $instance["display_limit"];
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
		if(isset($post_thumb) && $post_thumb == "true") :
			$post_thumb = 1;
		else :
			$post_thumb = 0;
		endif;
		$auto_interval = $instance["auto_interval"];
		$filterval = $instance[$postfilter];
		if(isset($postfilter) && $postfilter != "" && $filterval != "0") :
			$args = array(
				"post_type" => $posttype,
				"posts_per_page" => $display_limit,
				"tax_query" => array(
					array(
						"taxonomy" => $postfilter,
						"field" => "slug",
						"terms" => $filterval
					)
				)
			);
		else :
			$args = array(
				"post_type" => $posttype,
				"posts_per_page" => $display_limit,
			);
		endif;

		$count = 0;
		$numposts = 0;

		$ocmx_posts = new WP_Query($args); ?>

	<div class="slider clearfix">
		<div class="gallery-container">
			<ul class="gallery-image">
				<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
					global $post;
					if($posttype =='slider') :
						$link = get_post_meta($post->ID, "slider_link", true);
					else:
						$link = get_permalink($post->ID);
					endif;
					$args  = array('postid' => $post->ID, 'width' => 700, 'height' => 390, 'hide_href' => false, 'exclude_video' => $post_thumb, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '700x390');
					$image = get_obox_media($args); ?>
					<li>
						<a href="<?php echo $link; ?>">
							<?php echo $image; ?>
						</a>
					</li>
				<?php
					$count++;
				endwhile; ?>
			</ul>
		</div>
		<div class="copy">
			<?php $count=1;  ?>
			<ul>
				<?php while ($ocmx_posts->have_posts()) : $ocmx_posts->the_post();
					$this_post = get_post($post->ID);
					if($posttype =='slider') :
						$link = get_post_meta($post->ID, "slider_link", true);
					else:
						$link = get_permalink($post->ID);
					endif;

					$vid_info = array();
					$vid_info = get_post_meta($post->ID, "oembed_info", true);

				?>
				<li>
					<?php if(isset($show_meta) && $show_meta == "on") : ?>
						<h5 class="date"><?php echo date('d M Y', strtotime($this_post->post_date)); ?></h5>

						<span class="date post-date">
							<?php if( isset( $vid_info['views'] ) ) : ?>
								<span class="views"><?php echo $vid_info['views']; ?></span>
							<?php endif; ?>
							<?php if( isset( $vid_info['likes'] ) ) : ?>
									<span class="likes"><?php echo $vid_info['likes']; ?></span>
							<?php endif; ?>
						</span>

					<?php endif; ?>

					<h3 class="post-title">
						<?php if($link =='') : ?>
							<?php the_title(); ?>
						<?php else : ?>
							<a href="<?php echo $link; ?>">
								<?php the_title(); ?>
							</a>
						<?php endif; ?>
					</h3>

					<?php $title_len = strlen($this_post->post_title);
					if($title_len > 22)
						{$content_len  = 245;}
					else
						{$content_len  = 405;}

					if($this_post->post_excerpt != "") :
						echo substr(strip_tags($this_post->post_excerpt), 0, $content_len);
					else :
						echo substr(strip_tags($this_post->post_content), 0, $content_len);
					endif; ?>...
				</li>
				<?php
					$count++;
				endwhile; ?>
			</ul>

		</div>
		<?php if(($auto_interval == "0" || $auto_interval == "") && $display_limit > 1) : ?>
				<a href="#" class="previous"><?php _e("Previous", "ocmx"); ?></a>
				<a href="#" class="next"><?php _e("Next", "ocmx"); ?></a>
				<div class="slider-dots">
					<?php for($i=1; $i < $count; $i++) : ?>
						<a href="#" rel="<?php echo ($i-1); ?>"class="dot <?php if($i == 1) : ?>dot-selected<?php endif; ?>"><?php echo $i; ?></a>
					<?php endfor; ?>
				</div>
			<?php endif; ?>
		<div id="slider-number-<?php echo $use_category; ?>" class="no_display">0</div>
		<div id="slider-auto-<?php echo $use_category; ?>" class="no_display"><?php echo $auto_interval; ?></div>
	</div>

<?php
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {
		$defaults = array( 'title' => '', 'hide_title' => '', 'display_limit' => '', 'auto_interval' => '0');
		$instance_args = wp_parse_args( $instance, $defaults );
		extract( $instance_args, EXTR_SKIP );
		
		if(isset($instance["show_excerpts"]))
			$show_excerpts = $instance["show_excerpts"];
		if(isset($instance["show_meta"]))
			$show_meta = $instance["show_meta"];
		if(isset($instance["excerpt_length"]))
			$excerpt_length = $instance["excerpt_length"];
		if(isset($instance["display_limit"]))
			$display_limit = $instance["display_limit"];
		if(isset($instance["post_thumb"]))
			$post_thumb = $instance["post_thumb"];
		if(isset($instance["posttype"]))
			$posttype = $instance["posttype"];
		if(isset($instance["postfilter"]))
			$postfilter = $instance["postfilter"];

		if(isset($instance["post_type"]))
			$posttype = $instance["post_type"];
		// Setup the post filter if it's defined
		if(isset($postfilter) && isset($instance[$postfilter]))
			$filterval = esc_attr($instance[$postfilter]);
		else
			$filterval = 0;

		$post_type_args = array("public" => true, "exclude_from_search" => false, "show_ui" => true);
		$post_types = get_post_types( $post_type_args, "objects");
?>


	<p><em>Each time you select an item from a dropdown, press "Save" to load the next set of settings.</em></p>
	<p>
		<label for="<?php echo $this->get_field_id('posttype'); ?>">Display</label>
		<select size="1" class="widefat" id="<?php echo $this->get_field_id("posttype"); ?>" name="<?php echo $this->get_field_name("posttype"); ?>">
			<option <?php if(isset($posttype) && $posttype == ""){echo "selected=\"selected\"";} ?> value="">--- Select a Content Type ---</option>
				<?php foreach($post_types as $post_type => $details) : ?>
				<option <?php if(isset($posttype) && $posttype == $post_type){echo "selected=\"selected\"";} ?> value="<?php echo $post_type; ?>"><?php echo $details->labels->name; ?></option>
				<?php endforeach; ?>
		</select>
	</p>

	<?php if(isset($posttype) && $posttype != "") :
		if($posttype != "page") : ?>
			<?php $taxonomyargs = array('post_type' => $posttype, "public" => true, "exclude_from_search" => false, "show_ui" => true);
			$taxonomies = get_object_taxonomies($taxonomyargs,'objects');
			if(!empty($taxonomies)) : ?>
				<p>
					<label for="<?php echo $this->get_field_id('postfilter'); ?>">Filter by</label>
					<select size="1" class="widefat" id="<?php echo $this->get_field_id("postfilter"); ?>" name="<?php echo $this->get_field_name("postfilter"); ?>">
						<option <?php if(isset($postfilter) && $postfilter == ""){echo "selected=\"selected\"";} ?> value="">--- Select a Filter ---</option>
						<?php foreach($taxonomies as $taxonomy => $details) : ?>
							<option <?php if(isset($postfilter) && $postfilter == $taxonomy){echo "selected=\"selected\"";} ?> value="<?php echo $taxonomy; ?>"><?php echo $details->labels->name; ?></option>
						<?php $validtaxes[] = $taxonomy;
						endforeach; ?>
					</select>
				</p>
			<?php endif;
			if(isset($postfilter) != "" && ( (is_array(isset($validtaxes)) && in_array($postfilter, $validtaxes)) || !is_array(isset($validtaxes)) ) ) :
				$tax = get_taxonomy($postfilter);
				$terms = get_terms($postfilter, "orderby=count&hide_empty=0"); ?>
				<p><label for="<?php echo $this->get_field_id($postfilter); ?>"><?php if(isset($tax->labels->name)) echo $tax->labels->name; ?></label>
				   <select size="1" class="widefat" id="<?php echo $this->get_field_id($postfilter); ?>" name="<?php echo $this->get_field_name($postfilter); ?>">
						<option <?php if(isset($filterval) == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
						<?php foreach($terms as $term => $details) :?>
							<option <?php if(isset($filterval) && $filterval == $details->slug){echo "selected=\"selected\"";} ?> value="<?php echo $details->slug; ?>"><?php echo $details->name; ?></option>
						<?php endforeach;?>
					</select>
				</p>
			<?php endif; ?>

		<?php endif; ?>
	  <?php endif; ?>

	<p>
		<label for="<?php echo $this->get_field_id('post_thumb'); ?>">Show Images or Videos?</label>

		<select size="1" class="widefat" id="<?php echo $this->get_field_id('post_thumb'); ?>" name="<?php echo $this->get_field_name('post_thumb'); ?>">
			<option <?php if(isset($post_thumb) && $post_thumb == "true") : ?>selected="selected"<?php endif; ?> value="true">Images</option>
			<option <?php if(isset($post_thumb) && $post_thumb == "false") : ?>selected="selected"<?php endif; ?> value="false">Videos</option>
		</select>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('display_limit'); ?>">Post Count</label>
		<select size="1" class="widefat" id="<?php echo $this->get_field_id('display_limit'); ?>" name="<?php echo $this->get_field_name('display_limit'); ?>">
			<?php for($i = 1; $i < 8; $i++) : ?>
				<option <?php if(isset($display_limit) && $display_limit == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php endfor; ?>
		</select>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id('show_meta'); ?>">
			<input type="checkbox" <?php if(isset($show_meta) && $show_meta == "on") : ?>checked="checked"<?php endif; ?> id="<?php echo $this->get_field_id('show_meta'); ?>" name="<?php echo $this->get_field_name('show_meta'); ?>">
			Show Meta
		</label>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('excerpt_length'); ?>">Content Length (Character Amount)
			<input class="shortfat" id="<?php echo $this->get_field_id('excerpt_length'); ?>" name="<?php echo $this->get_field_name('excerpt_length'); ?>" type="text" value="<?php if(isset($excerpt_length)): echo $excerpt_length; endif; ?>" />
		</label>
	</p>
	<p>
		<label for="<?php echo $this->get_field_id('auto_interval'); ?>">Auto Slide Interval (seconds)
			<input class="shortfat" id="<?php echo $this->get_field_id('auto_interval'); ?>" name="<?php echo $this->get_field_name('auto_interval'); ?>" type="text" value="<?php if(isset($auto_interval)) : echo $auto_interval; endif; ?>" /><br /><em>(Set to 0 for no auto-sliding)</em>
		</label>
	</p>

<?php
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>